DEFINT A-Z
SCREEN _NEWIMAGE(640, 480, 32)

kenpic = _LOADIMAGE("hhhoh.png", 32)

timar# = 0
timar2# = 0
zoom# = 1

'_LIMIT 60

picx = 107
picy = 139

pi = 3.14

'GOTO kak

_FULLSCREEN

kuv = _LOADIMAGE("hhvari.png") 'see note below examples to get the image


s& = _SNDOPEN("hitler2.mp3")

LOCATE 15, 30
PRINT "'Hitlerin Kuva'"
_DISPLAY
SLEEP 2

_SNDPLAY s&


eff = 0
runner:

_DISPLAY
_LIMIT 60

IF INKEY$ <> "" THEN END

CONST demolen = 100
CONST demoswit = 50

eff = (eff + 1) MOD demolen
IF eff < demoswit THEN GOTO eff1
IF eff = demoswit THEN CLS
IF eff >= demoswit THEN GOTO eff2




eff1:

co! = co! + 0.23
c = 128 + SIN(co!) * 120
CLS , _RGB(0, c, 0)

bv! = bv! + 0.01
bv2! = bv2! + 0.011123
FOR i = 0 TO 100
    ang! = i * 0.05423 + bv!
    ang2! = i * 0.15332 + bv2!
    x = 160 + SIN(ang!) * 40 + COS(ang!) * 100
    y = 140 + COS(ang!) * 50 + SIN(ang2!) * 40
    _PUTIMAGE (x, y), kuv ' places image at upper left corner of window w/o stretching it
NEXT
GOTO runner


eff2:

x = (SIN(timar# * pi / 360) * 250) + 350 - (timar3# * 5)
IF x < 1 THEN x = 1
IF x > 640 THEN x = 640

y = (COS(timar# * pi / 360) * 220) + 150
IF y < 1 THEN y = 1
IF u > 480 THEN y = 480
zoom = 1
GOSUB PlotImage
GOSUB timar
GOSUB timar2
GOSUB timar3
GOSUB zoomtim
'_DISPLAY
LINE (0, 0)-(640, 480), _RGBA(0, 0, 0, 4), BF
GOTO runner



timar:
timar# = timar# + 0.2 * 3
IF timar# > 3600 THEN timar# = 0
RETURN

timar2:
timar2# = timar2# + 0.01 * 3
IF timar2# > 360 THEN timar2# = 0
RETURN

timar3:
timar3# = timar2# + 0.0025 * 3
IF timar3# > 360 THEN timar3# = 0
RETURN



zoomtim:
zoom# = 1.5 * (SIN(timar# * pi / 360) + COS(timar2# * pi / 360) + (SIN(timar2# + timar# * pi / 360)))
RETURN



PlotImage:
x = ABS(x)
y = ABS(y)
_PUTIMAGE (x - (zoom# / 2), y - (zoom# / 2))-((x + picx) * zoom#, (y + picy) * zoom#), kenpic
RETURN

